Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.entity.item
Class ItemEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.entity.EntityEvent
              net.minecraftforge.event.entity.item.ItemEvent

Direct Known Subclasses:
  ItemExpireEvent, ItemTossEvent

    public class ItemEvent

extends EntityEvent

Base class for all EntityItem events. Contains a reference to the EntityItem of interest. For most EntityItem events, there's little to no additional useful data from the firing method that isn't already contained within the EntityItem instance.

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent
`EntityEvent.CanUpdate, EntityEvent.EnteringChunk`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.Result`

Field Summary
`EntityItem` | `entityItem` The relevant EntityItem for this event, already cast for you.

Fields inherited from class net.minecraftforge.event.entity.EntityEvent
`entity`

Constructor Summary
`ItemEvent(EntityItem itemEntity)` Creates a new event for an EntityItem.

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, isCancelable, isCanceled, setCanceled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entityItem

    public final EntityItem entityItem

  The relevant EntityItem for this event, already cast for you.

Constructor Detail

### ItemEvent

    public ItemEvent(EntityItem itemEntity)

  Creates a new event for an EntityItem.

  Parameters:
    `itemEntity` - The EntityItem for this event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD